module Oss

  class ResponseError < StandardError

    attr_reader :http_status, :error_code, :error_message, :header, :request_id, :host_id

    def initialize(err_attrs, err_msg)
      @error_code    = err_attrs[:code]
      @error_message = err_attrs[:message]
      @http_status   = err_attrs[:http_status]
      @header        = err_attrs[:header]
      @request_id    = err_attrs[:request_id]
      @host_id       = err_attrs[:host_id]

      super err_msg
    end

  end

end